%define module 	XML-EasyOBJ
%define version 1.0
%define release 3mdk

Summary:	%{module} perl module
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Requires: 	perl >= 5.600
Requires:	perl-XML-Parser perl-XML-XSLT 
BuildRequires:	perl-devel >= 5.6
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Url:		http://www.cpan.org


%description
%{module} - Easy XML object navigation

%prep
%setup -q -n %{module}-%{version}

%build

cd EasyOBJ

%{__perl} Makefile.PL PREFIX=%{_prefix} 
%{__make}


%install
rm -rf $RPM_BUILD_ROOT

cd EasyOBJ

eval `perl '-V:installarchlib'`
install -d $RPM_BUILD_ROOT/$installarchlib

%{__make} PREFIX=$RPM_BUILD_ROOT%{_prefix} install

cd ..

install -d $RPM_BUILD_ROOT/%{_datadir}
find $RPM_BUILD_ROOT%{_prefix} -type f -print | sed "s@^$RPM_BUILD_ROOT@@g"| \
	grep -v perllocal.pod | grep -v .packlist | grep -v .bs > \
	%{module}-%{version}-filelist
perl -p -i -e 's/\.3/\.3\.bz2/g' %{module}-%{version}-filelist


%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{module}-%{version}-filelist
%defattr(-,root,root)
%doc  Readme samples docs


%changelog
* Wed Nov 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0-3mdk
- fix requires on perl-XML-XSLT

* Mon Jul 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0-2mdk
- fixed by Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- BuildRequires:	perl-devel >= 5.6

* Mon Feb 19 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 1.0-1mdk
- First Mandrake Release



